/**
 * rxxfetch
 * Observable HTTP fetch API for browser and Node.js. Handle 302/303 redirect correctly on Node.js
 *
 * @version 12.6.3
 * @author waiting
 * @license MIT
 * @link https://waitingsong.github.io/rxxfetch/
 */
!function(e,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports):"function"==typeof define&&define.amd?define("rxxfetch",["exports"],t):t((e="undefined"!=typeof globalThis?globalThis:e||self).rxxfetch={})}(this,(function(e){"use strict";
/*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */var t=function(e,r){return(t=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r])})(e,r)};function r(e,r){if("function"!=typeof r&&null!==r)throw new TypeError("Class extends value "+String(r)+" is not a constructor or null");function n(){this.constructor=e}t(e,r),e.prototype=null===r?Object.create(r):(n.prototype=r.prototype,new n)}function n(e,t,r,n){function o(e){return e instanceof r?e:new r((function(t){t(e)}))}return new(r||(r=Promise))((function(r,i){function a(e){try{c(n.next(e))}catch(e){i(e)}}function u(e){try{c(n.throw(e))}catch(e){i(e)}}function c(e){e.done?r(e.value):o(e.value).then(a,u)}c((n=n.apply(e,t||[])).next())}))}function o(e,t){var r={label:0,sent:function(){if(1&i[0])throw i[1];return i[1]},trys:[],ops:[]},n,o,i,a;return a={next:u(0),throw:u(1),return:u(2)},"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function u(e){return function(t){return c([e,t])}}function c(a){if(n)throw new TypeError("Generator is already executing.");for(;r;)try{if(n=1,o&&(i=2&a[0]?o.return:a[0]?o.throw||((i=o.return)&&i.call(o),0):o.next)&&!(i=i.call(o,a[1])).done)return i;switch(o=0,i&&(a=[2&a[0],i.value]),a[0]){case 0:case 1:i=a;break;case 4:return r.label++,{value:a[1],done:!1};case 5:r.label++,o=a[1],a=[0];continue;case 7:a=r.ops.pop(),r.trys.pop();continue;default:if(!(i=r.trys,(i=i.length>0&&i[i.length-1])||6!==a[0]&&2!==a[0])){r=0;continue}if(3===a[0]&&(!i||a[1]>i[0]&&a[1]<i[3])){r.label=a[1];break}if(6===a[0]&&r.label<i[1]){r.label=i[1],i=a;break}if(i&&r.label<i[2]){r.label=i[2],r.ops.push(a);break}i[2]&&r.ops.pop(),r.trys.pop();continue}a=t.call(e,r)}catch(e){a=[6,e],o=0}finally{n=i=0}if(5&a[0])throw a[1];return{value:a[0]?a[1]:void 0,done:!0}}}function i(e){var t="function"==typeof Symbol&&Symbol.iterator,r=t&&e[t],n=0;if(r)return r.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&n>=e.length&&(e=void 0),{value:e&&e[n++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function a(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n=r.call(e),o,i=[],a;try{for(;(void 0===t||t-- >0)&&!(o=n.next()).done;)i.push(o.value)}catch(e){a={error:e}}finally{try{o&&!o.done&&(r=n.return)&&r.call(n)}finally{if(a)throw a.error}}return i}function u(e,t){for(var r=0,n=t.length,o=e.length;r<n;r++,o++)e[o]=t[r];return e}function c(e){return this instanceof c?(this.v=e,this):new c(e)}function f(e,t,r){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var n=r.apply(e,t||[]),o,i=[];return o={},a("next"),a("throw"),a("return"),o[Symbol.asyncIterator]=function(){return this},o;function a(e){n[e]&&(o[e]=function(t){return new Promise((function(r,n){i.push([e,t,r,n])>1||u(e,t)}))})}function u(e,t){try{f(n[e](t))}catch(e){p(i[0][3],e)}}function f(e){e.value instanceof c?Promise.resolve(e.value.v).then(s,l):p(i[0][2],e)}function s(e){u("next",e)}function l(e){u("throw",e)}function p(e,t){e(t),i.shift(),i.length&&u(i[0][0],i[0][1])}}function s(e){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var t=e[Symbol.asyncIterator],r;return t?t.call(e):(e="function"==typeof i?i(e):e[Symbol.iterator](),r={},n("next"),n("throw"),n("return"),r[Symbol.asyncIterator]=function(){return this},r);function n(t){r[t]=e[t]&&function(r){return new Promise((function(n,i){o(n,i,(r=e[t](r)).done,r.value)}))}}function o(e,t,r,n){Promise.resolve(n).then((function(t){e({value:t,done:r})}),t)}}function l(e){return"function"==typeof e}function p(e){var t,r=e((function(e){Error.call(e),e.stack=(new Error).stack}));return r.prototype=Object.create(Error.prototype),r.prototype.constructor=r,r}var y=p((function(e){return function t(r){e(this),this.message=r?r.length+" errors occurred during unsubscription:\n"+r.map((function(e,t){return t+1+") "+e.toString()})).join("\n  "):"",this.name="UnsubscriptionError",this.errors=r}}));function d(e,t){if(e){var r=e.indexOf(t);0<=r&&e.splice(r,1)}}var h=function(){function e(e){this.initialTeardown=e,this.closed=!1,this._parentage=null,this._teardowns=null}var t;return e.prototype.unsubscribe=function(){var e,t,r,n,o;if(!this.closed){this.closed=!0;var c=this._parentage;if(c)if(this._parentage=null,Array.isArray(c))try{for(var f=i(c),s=f.next();!s.done;s=f.next()){var p;s.value.remove(this)}}catch(t){e={error:t}}finally{try{s&&!s.done&&(t=f.return)&&t.call(f)}finally{if(e)throw e.error}}else c.remove(this);var d=this.initialTeardown;if(l(d))try{d()}catch(e){o=e instanceof y?e.errors:[e]}var h=this._teardowns;if(h){this._teardowns=null;try{for(var b=i(h),g=b.next();!g.done;g=b.next()){var m=g.value;try{v(m)}catch(e){o=null!=o?o:[],e instanceof y?o=u(u([],a(o)),a(e.errors)):o.push(e)}}}catch(e){r={error:e}}finally{try{g&&!g.done&&(n=b.return)&&n.call(b)}finally{if(r)throw r.error}}}if(o)throw new y(o)}},e.prototype.add=function(t){var r;if(t&&t!==this)if(this.closed)v(t);else{if(t instanceof e){if(t.closed||t._hasParent(this))return;t._addParent(this)}(this._teardowns=null!==(r=this._teardowns)&&void 0!==r?r:[]).push(t)}},e.prototype._hasParent=function(e){var t=this._parentage;return t===e||Array.isArray(t)&&t.includes(e)},e.prototype._addParent=function(e){var t=this._parentage;this._parentage=Array.isArray(t)?(t.push(e),t):t?[t,e]:e},e.prototype._removeParent=function(e){var t=this._parentage;t===e?this._parentage=null:Array.isArray(t)&&d(t,e)},e.prototype.remove=function(t){var r=this._teardowns;r&&d(r,t),t instanceof e&&t._removeParent(this)},e.EMPTY=((t=new e).closed=!0,t),e}();function b(e){return e instanceof h||e&&"closed"in e&&l(e.remove)&&l(e.add)&&l(e.unsubscribe)}function v(e){l(e)?e():e.unsubscribe()}var g={onUnhandledError:null,onStoppedNotification:null,Promise:void 0,useDeprecatedSynchronousErrorHandling:!1,useDeprecatedNextContext:!1},m=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return setTimeout.apply(void 0,u([],a(e)))},w=function(e){return clearTimeout(e)},S=void 0;function O(e){m((function(){throw e}))}function j(){}function P(e){e()}var A=function(e){function t(t){var r=e.call(this)||this;return r.isStopped=!1,t?(r.destination=t,b(t)&&t.add(r)):r.destination=T,r}return r(t,e),t.create=function(e,t,r){return new E(e,t,r)},t.prototype.next=function(e){this.isStopped||this._next(e)},t.prototype.error=function(e){this.isStopped||(this.isStopped=!0,this._error(e))},t.prototype.complete=function(){this.isStopped||(this.isStopped=!0,this._complete())},t.prototype.unsubscribe=function(){this.closed||(this.isStopped=!0,e.prototype.unsubscribe.call(this),this.destination=null)},t.prototype._next=function(e){this.destination.next(e)},t.prototype._error=function(e){try{this.destination.error(e)}finally{this.unsubscribe()}},t.prototype._complete=function(){try{this.destination.complete()}finally{this.unsubscribe()}},t}(h),E=function(e){function t(t,r,n){var o=e.call(this)||this,i;if(l(t))i=t;else if(t){var a;i=t.next,r=t.error,n=t.complete,o&&g.useDeprecatedNextContext?(a=Object.create(t)).unsubscribe=function(){return o.unsubscribe()}:a=t,i=null==i?void 0:i.bind(a),r=null==r?void 0:r.bind(a),n=null==n?void 0:n.bind(a)}return o.destination={next:i?x(i):j,error:x(null!=r?r:k),complete:n?x(n):j},o}return r(t,e),t}(A);function x(e,t){return function(){for(var t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];try{e.apply(void 0,u([],a(t)))}catch(e){O(e)}}}function k(e){throw e}var T={closed:!0,next:j,error:k,complete:j},_="function"==typeof Symbol&&Symbol.observable||"@@observable";function I(e){return e}function R(e){return 0===e.length?I:1===e.length?e[0]:function t(r){return e.reduce((function(e,t){return t(e)}),r)}}var C=function(){function e(e){e&&(this._subscribe=e)}return e.prototype.lift=function(t){var r=new e;return r.source=this,r.operator=t,r},e.prototype.subscribe=function(e,t,r){var n=this,o=L(e)?e:new E(e,t,r);return P((function(){var e=n,t=e.operator,r=e.source;o.add(t?t.call(o,r):r?n._subscribe(o):n._trySubscribe(o))})),o},e.prototype._trySubscribe=function(e){try{return this._subscribe(e)}catch(t){e.error(t)}},e.prototype.forEach=function(e,t){var r=this;return new(t=F(t))((function(t,n){var o;o=r.subscribe((function(t){try{e(t)}catch(e){n(e),null==o||o.unsubscribe()}}),n,t)}))},e.prototype._subscribe=function(e){var t;return null===(t=this.source)||void 0===t?void 0:t.subscribe(e)},e.prototype[_]=function(){return this},e.prototype.pipe=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return e.length?R(e)(this):this},e.prototype.toPromise=function(e){var t=this;return new(e=F(e))((function(e,r){var n;t.subscribe((function(e){return n=e}),(function(e){return r(e)}),(function(){return e(n)}))}))},e.create=function(t){return new e(t)},e}();function F(e){var t;return null!==(t=null!=e?e:g.Promise)&&void 0!==t?t:Promise}function D(e){return e&&l(e.next)&&l(e.error)&&l(e.complete)}function L(e){return e&&e instanceof A||D(e)&&b(e)}function N(e){return l(null==e?void 0:e.lift)}function M(e){return function(t){if(N(t))return t.lift((function(t){try{return e(t,this)}catch(e){this.error(e)}}));throw new TypeError("Unable to lift unknown Observable type")}}var U=function(e){function t(t,r,n,o,i){var a=e.call(this,t)||this;return a.onFinalize=i,a._next=r?function(e){try{r(e)}catch(e){t.error(e)}}:e.prototype._next,a._error=o?function(e){try{o(e)}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._error,a._complete=n?function(){try{n()}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._complete,a}return r(t,e),t.prototype.unsubscribe=function(){var t,r=this.closed;e.prototype.unsubscribe.call(this),!r&&(null===(t=this.onFinalize)||void 0===t||t.call(this))},t}(A),q=function(){return Date.now()},B=void 0,W=function(e){function t(t,r){return e.call(this)||this}return r(t,e),t.prototype.schedule=function(e,t){return this},t}(h),G=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return setInterval.apply(void 0,u([],a(e)))},H=function(e){return clearInterval(e)},$=void 0,z=function(e){function t(t,r){var n=e.call(this,t,r)||this;return n.scheduler=t,n.work=r,n.pending=!1,n}return r(t,e),t.prototype.schedule=function(e,t){if(void 0===t&&(t=0),this.closed)return this;this.state=e;var r=this.id,n=this.scheduler;return null!=r&&(this.id=this.recycleAsyncId(n,r,t)),this.pending=!0,this.delay=t,this.id=this.id||this.requestAsyncId(n,this.id,t),this},t.prototype.requestAsyncId=function(e,t,r){return void 0===r&&(r=0),G(e.flush.bind(e,this),r)},t.prototype.recycleAsyncId=function(e,t,r){if(void 0===r&&(r=0),null!=r&&this.delay===r&&!1===this.pending)return t;H(t)},t.prototype.execute=function(e,t){if(this.closed)return new Error("executing a cancelled action");this.pending=!1;var r=this._execute(e,t);if(r)return r;!1===this.pending&&null!=this.id&&(this.id=this.recycleAsyncId(this.scheduler,this.id,null))},t.prototype._execute=function(e,t){var r=!1,n;try{this.work(e)}catch(e){r=!0,n=!!e&&e||new Error(e)}if(r)return this.unsubscribe(),n},t.prototype.unsubscribe=function(){if(!this.closed){var t=this,r=t.id,n=t.scheduler,o=n.actions;this.work=this.state=this.scheduler=null,this.pending=!1,d(o,this),null!=r&&(this.id=this.recycleAsyncId(n,r,null)),this.delay=null,e.prototype.unsubscribe.call(this)}},t}(W),V=function(){function e(t,r){void 0===r&&(r=e.now),this.schedulerActionCtor=t,this.now=r}return e.prototype.schedule=function(e,t,r){return void 0===t&&(t=0),new this.schedulerActionCtor(this,e).schedule(r,t)},e.now=q,e}(),Q,J=new(function(e){function t(t,r){void 0===r&&(r=V.now);var n=e.call(this,t,r)||this;return n.actions=[],n._active=!1,n._scheduled=void 0,n}return r(t,e),t.prototype.flush=function(e){var t=this.actions;if(this._active)t.push(e);else{var r;this._active=!0;do{if(r=e.execute(e.state,e.delay))break}while(e=t.shift());if(this._active=!1,r){for(;e=t.shift();)e.unsubscribe();throw r}}},t}(V))(z);function Y(e,t){return new C((function(r){var n=0;return t.schedule((function(){n===e.length?r.complete():(r.next(e[n++]),r.closed||this.schedule())}))}))}var K=function(e){return e&&"number"==typeof e.length&&"function"!=typeof e};function X(e){return l(null==e?void 0:e.then)}function Z(){return"function"==typeof Symbol&&Symbol.iterator?Symbol.iterator:"@@iterator"}var ee=Z();function te(e,t,r,n){void 0===n&&(n=0);var o=t.schedule((function(){try{r.call(this)}catch(t){e.error(t)}}),n);return e.add(o),o}function re(e){return l(e[_])}function ne(e){return l(null==e?void 0:e[ee])}function oe(e){return Symbol.asyncIterator&&l(null==e?void 0:e[Symbol.asyncIterator])}function ie(e){return new TypeError("You provided "+(null!==e&&"object"==typeof e?"an invalid object":"'"+e+"'")+" where a stream was expected. You can provide an Observable, Promise, ReadableStream, Array, AsyncIterable, or Iterable.")}function ae(e){return f(this,arguments,(function t(){var r,n,i,a;return o(this,(function(t){switch(t.label){case 0:r=e.getReader(),t.label=1;case 1:t.trys.push([1,,9,10]),t.label=2;case 2:return[4,c(r.read())];case 3:return n=t.sent(),i=n.value,(a=n.done)?[4,c(void 0)]:[3,5];case 4:return[2,t.sent()];case 5:return[4,c(i)];case 6:return[4,t.sent()];case 7:return t.sent(),[3,2];case 8:return[3,10];case 9:return r.releaseLock(),[7];case 10:return[2]}}))}))}function ue(e){return l(null==e?void 0:e.getReader)}function ce(e){if(e instanceof C)return e;if(null!=e){if(re(e))return fe(e);if(K(e))return se(e);if(X(e))return le(e);if(oe(e))return ye(e);if(ne(e))return pe(e);if(ue(e))return de(e)}throw ie(e)}function fe(e){return new C((function(t){var r=e[_]();if(l(r.subscribe))return r.subscribe(t);throw new TypeError("Provided object does not correctly implement Symbol.observable")}))}function se(e){return new C((function(t){for(var r=0;r<e.length&&!t.closed;r++)t.next(e[r]);t.complete()}))}function le(e){return new C((function(t){e.then((function(e){t.closed||(t.next(e),t.complete())}),(function(e){return t.error(e)})).then(null,O)}))}function pe(e){return new C((function(t){var r,n;try{for(var o=i(e),a=o.next();!a.done;a=o.next()){var u=a.value;if(t.next(u),t.closed)return}}catch(e){r={error:e}}finally{try{a&&!a.done&&(n=o.return)&&n.call(o)}finally{if(r)throw r.error}}t.complete()}))}function ye(e){return new C((function(t){he(e,t).catch((function(e){return t.error(e)}))}))}function de(e){return ye(ae(e))}function he(e,t){var r,i,a,u;return n(this,void 0,void 0,(function(){var n,c;return o(this,(function(o){switch(o.label){case 0:o.trys.push([0,5,6,11]),r=s(e),o.label=1;case 1:return[4,r.next()];case 2:if((i=o.sent()).done)return[3,4];if(n=i.value,t.next(n),t.closed)return[2];o.label=3;case 3:return[3,1];case 4:return[3,11];case 5:return c=o.sent(),a={error:c},[3,11];case 6:return o.trys.push([6,,9,10]),i&&!i.done&&(u=r.return)?[4,u.call(r)]:[3,8];case 7:o.sent(),o.label=8;case 8:return[3,10];case 9:if(a)throw a.error;return[7];case 10:return[7];case 11:return t.complete(),[2]}}))}))}function be(e,t){return t?Y(e,t):se(e)}function ve(e){return e&&l(e.schedule)}function ge(e){return e[e.length-1]}function me(e){return ve(ge(e))?e.pop():void 0}function we(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var r=me(e);return r?Y(e,r):be(e)}function Se(e,t){var r=l(e)?e:function(){return e},n=function(e){return e.error(r())};return new C(t?function(e){return t.schedule(n,0,e)}:n)}function Oe(e){return e instanceof Date&&!isNaN(e)}var je=p((function(e){return function t(r){void 0===r&&(r=null),e(this),this.message="Timeout has occurred",this.name="TimeoutError",this.info=r}}));function Pe(e,t){var r=Oe(e)?{first:e}:"number"==typeof e?{each:e}:e,n=r.first,o=r.each,i=r.with,a=void 0===i?Ae:i,u=r.scheduler,c=void 0===u?null!=t?t:J:u,f=r.meta,s=void 0===f?null:f;if(null==n&&null==o)throw new TypeError("No timeout provided.");return M((function(e,t){var r,i,u=null,f=0,l=function(e){i=te(t,c,(function(){r.unsubscribe(),ce(a({meta:s,lastValue:u,seen:f})).subscribe(t)}),e)};r=e.subscribe(new U(t,(function(e){null==i||i.unsubscribe(),f++,t.next(u=e),o>0&&l(o)}),void 0,void 0,(function(){(null==i?void 0:i.closed)||null==i||i.unsubscribe(),u=null}))),l(null!=n?"number"==typeof n?n:+n-c.now():o)}))}function Ae(e){throw new je(e)}function Ee(e,t){return M((function(r,n){var o=0;r.subscribe(new U(n,(function(r){n.next(e.call(t,r,o++))})))}))}function xe(e,t,r,n,o,i,a,u){var c=[],f=0,s=0,l=!1,p=function(){!l||c.length||f||t.complete()},y=function(e){return f<n?d(e):c.push(e)},d=function(e){i&&t.next(e),f++;var u=!1;ce(r(e,s++)).subscribe(new U(t,(function(e){null==o||o(e),i?y(e):t.next(e)}),(function(){u=!0}),void 0,(function(){if(u)try{f--;for(var e=function(){var e=c.shift();a?t.add(a.schedule((function(){return d(e)}))):d(e)};c.length&&f<n;)e();p()}catch(e){t.error(e)}})))};return e.subscribe(new U(t,y,(function(){l=!0,p()}))),function(){null==u||u()}}function ke(e,t,r){return void 0===r&&(r=1/0),l(t)?ke((function(r,n){return Ee((function(e,o){return t(r,e,n,o)}))(ce(e(r,n)))}),r):("number"==typeof t&&(r=t),M((function(t,n){return xe(t,n,e,r)})))}function Te(e){return new C((function(t){ce(e()).subscribe(t)}))}function _e(e){return M((function(t,r){var n=null,o=!1,i;n=t.subscribe(new U(r,void 0,void 0,(function(a){i=ce(e(a,_e(e)(t))),n?(n.unsubscribe(),n=null,i.subscribe(r)):o=!0}))),o&&(n.unsubscribe(),n=null,i.subscribe(r))}))}function Ie(e,t){return l(t)?ke(e,t,1):ke(e,1)}function Re(e){if(e.__esModule)return e;var t=Object.defineProperty({},"__esModule",{value:!0});return Object.keys(e).forEach((function(r){var n=Object.getOwnPropertyDescriptor(e,r);Object.defineProperty(t,r,n.get?n:{enumerable:!0,get:function(){return e[r]}})})),t}var Ce={};function Fe(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function De(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}function Le(e,t,r){return t&&De(e.prototype,t),r&&De(e,r),e}function Ne(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),t&&Ue(e,t)}function Me(e){return(Me=Object.setPrototypeOf?Object.getPrototypeOf:function e(t){return t.__proto__||Object.getPrototypeOf(t)})(e)}function Ue(e,t){return(Ue=Object.setPrototypeOf||function e(t,r){return t.__proto__=r,t})(e,t)}function qe(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){}))),!0}catch(e){return!1}}function Be(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function We(e,t){return!t||"object"!=typeof t&&"function"!=typeof t?Be(e):t}function Ge(e){var t=qe();return function r(){var n=Me(e),o;if(t){var i=Me(this).constructor;o=Reflect.construct(n,arguments,i)}else o=n.apply(this,arguments);return We(this,o)}}function He(e,t){for(;!Object.prototype.hasOwnProperty.call(e,t)&&null!==(e=Me(e)););return e}function $e(e,t,r){return($e="undefined"!=typeof Reflect&&Reflect.get?Reflect.get:function e(t,r,n){var o=He(t,r);if(o){var i=Object.getOwnPropertyDescriptor(o,r);return i.get?i.get.call(n):i.value}})(e,t,r||e)}Object.defineProperty(Ce,"__esModule",{value:!0});var ze=function(){function e(){Fe(this,e),Object.defineProperty(this,"listeners",{value:{},writable:!0,configurable:!0})}return Le(e,[{key:"addEventListener",value:function e(t,r,n){t in this.listeners||(this.listeners[t]=[]),this.listeners[t].push({callback:r,options:n})}},{key:"removeEventListener",value:function e(t,r){if(t in this.listeners)for(var n=this.listeners[t],o=0,i=n.length;o<i;o++)if(n[o].callback===r)return void n.splice(o,1)}},{key:"dispatchEvent",value:function e(t){if(t.type in this.listeners){for(var r,n=this.listeners[t.type].slice(),o=0,i=n.length;o<i;o++){var a=n[o];try{a.callback.call(this,t)}catch(e){Promise.resolve().then((function(){throw e}))}a.options&&a.options.once&&this.removeEventListener(t.type,a.callback)}return!t.defaultPrevented}}}]),e}(),Ve=function(e){Ne(r,e);var t=Ge(r);function r(){var e;return Fe(this,r),(e=t.call(this)).listeners||ze.call(Be(e)),Object.defineProperty(Be(e),"aborted",{value:!1,writable:!0,configurable:!0}),Object.defineProperty(Be(e),"onabort",{value:null,writable:!0,configurable:!0}),e}return Le(r,[{key:"toString",value:function e(){return"[object AbortSignal]"}},{key:"dispatchEvent",value:function e(t){"abort"===t.type&&(this.aborted=!0,"function"==typeof this.onabort&&this.onabort.call(this,t)),$e(Me(r.prototype),"dispatchEvent",this).call(this,t)}}]),r}(ze),Qe=function(){function e(){Fe(this,e),Object.defineProperty(this,"signal",{value:new Ve,writable:!0,configurable:!0})}return Le(e,[{key:"abort",value:function e(){var t;try{t=new Event("abort")}catch(e){"undefined"!=typeof document?document.createEvent?(t=document.createEvent("Event")).initEvent("abort",!1,!1):(t=document.createEventObject()).type="abort":t={type:"abort",bubbles:!1,cancelable:!1}}this.signal.dispatchEvent(t)}},{key:"toString",value:function e(){return"[object AbortController]"}}]),e}();function Je(e){return e.__FORCE_INSTALL_ABORTCONTROLLER_POLYFILL?(console.log("__FORCE_INSTALL_ABORTCONTROLLER_POLYFILL=true is set, will force install polyfill"),!0):"function"==typeof e.Request&&!e.Request.prototype.hasOwnProperty("signal")||!e.AbortController}function Ye(e){"function"==typeof e&&(e={fetch:e});var t=e,r=t.fetch,n=t.Request,o=void 0===n?r.Request:n,i=t.AbortController,a=t.__FORCE_INSTALL_ABORTCONTROLLER_POLYFILL,u=void 0!==a&&a;if(!Je({fetch:r,Request:o,AbortController:i,__FORCE_INSTALL_ABORTCONTROLLER_POLYFILL:u}))return{fetch:r,Request:c};var c=o;(c&&!c.prototype.hasOwnProperty("signal")||u)&&((c=function e(t,r){var n;r&&r.signal&&(n=r.signal,delete r.signal);var i=new o(t,r);return n&&Object.defineProperty(i,"signal",{writable:!1,enumerable:!1,configurable:!0,value:n}),i}).prototype=o.prototype);var f=r,s;return{fetch:function e(t,r){var n=c&&c.prototype.isPrototypeOf(t)?t.signal:r?r.signal:void 0;if(n){var o;try{o=new DOMException("Aborted","AbortError")}catch(e){(o=new Error("Aborted")).name="AbortError"}if(n.aborted)return Promise.reject(o);var i=new Promise((function(e,t){n.addEventListener("abort",(function(){return t(o)}),{once:!0})}));return r&&r.signal&&delete r.signal,Promise.race([i,f(t,r)])}return f(t,r)},Request:c}}"undefined"!=typeof Symbol&&Symbol.toStringTag&&(Qe.prototype[Symbol.toStringTag]="AbortController",Ve.prototype[Symbol.toStringTag]="AbortSignal");var Ke=Ce.AbortController=Qe;Ce.AbortSignal=Ve;var Xe=Ce.abortableFetch=Ye,Ze={exports:{}};!function(e,t){var r,n=function(){if("undefined"!=typeof self)return self;if("undefined"!=typeof window)return window;if("undefined"!=typeof n)return n;throw new Error("unable to locate global object")}();e.exports=t=n.fetch,n.fetch&&(t.default=n.fetch.bind(n)),t.Headers=n.Headers,t.Request=n.Request,t.Response=n.Response}(Ze,Ze.exports);var et=Ze.exports;const tt={dataType:"json",keepRedirectCookies:!1,method:"GET",processData:!0,timeout:null,cache:"default",credentials:"same-origin",mode:"cors",redirect:"follow",referrer:"client"};"undefined"==typeof window&&("function"!=typeof fetch&&(tt.fetchModule=Xe(et).fetch),"function"!=typeof Headers&&(tt.headersInitClass=Ze.exports.Headers));const rt="Fetch error status:";function nt(e){return Se((()=>new Error("Assert Never Unexpected object: "+e)))}function ot(e,t=!1){if(e.ok||t)return we(e);const{status:r,statusText:n}=e;return Te((()=>e.text())).pipe(_e((e=>we(JSON.stringify(e)))),Ee((e=>{const t=undefined;throw new Error(`Fetch error status:${r}\nstatusText: ${n}\nResponse: ${e}`)})))}function it(e,t){let r;switch(t){case"arrayBuffer":r=Te((()=>e.arrayBuffer()));break;case"bare":r=we(e);break;case"blob":r=Te((()=>e.blob()));break;case"formData":r=Te((()=>e.formData()));break;case"json":r=Te((()=>e.json()));break;case"raw":r=we(e);break;case"text":r=Te((()=>e.text()));break;default:return nt(t)}return r}function at(e){if(!e)return;const t=e.split(/;/),r={};for(let e of t){if(e=e.trim(),!e)continue;if(!e.includes("="))continue;if(e.startsWith("Path="))continue;const[t,n]=e.split("=");t&&n&&(r[t]=n)}return r&&Object.keys(r).length?r:void 0}var ut="object"==typeof self?self.FormData:window.FormData,ct=function e(){if("function"!=typeof Symbol||"function"!=typeof Object.getOwnPropertySymbols)return!1;if("symbol"==typeof Symbol.iterator)return!0;var t={},r=Symbol("test"),n=Object(r);if("string"==typeof r)return!1;if("[object Symbol]"!==Object.prototype.toString.call(r))return!1;if("[object Symbol]"!==Object.prototype.toString.call(n))return!1;var o=42;for(r in t[r]=o,t)return!1;if("function"==typeof Object.keys&&0!==Object.keys(t).length)return!1;if("function"==typeof Object.getOwnPropertyNames&&0!==Object.getOwnPropertyNames(t).length)return!1;var i=Object.getOwnPropertySymbols(t);if(1!==i.length||i[0]!==r)return!1;if(!Object.prototype.propertyIsEnumerable.call(t,r))return!1;if("function"==typeof Object.getOwnPropertyDescriptor){var a=Object.getOwnPropertyDescriptor(t,r);if(a.value!==o||!0!==a.enumerable)return!1}return!0},ft="undefined"!=typeof Symbol&&Symbol,st=ct,lt=function e(){return"function"==typeof ft&&("function"==typeof Symbol&&("symbol"==typeof ft("foo")&&("symbol"==typeof Symbol("bar")&&st())))},pt="Function.prototype.bind called on incompatible ",yt=Array.prototype.slice,dt=Object.prototype.toString,ht="[object Function]",bt,vt=function e(t){var r=this;if("function"!=typeof r||dt.call(r)!==ht)throw new TypeError(pt+r);for(var n=yt.call(arguments,1),o,i=function(){if(this instanceof o){var e=r.apply(this,n.concat(yt.call(arguments)));return Object(e)===e?e:this}return r.apply(t,n.concat(yt.call(arguments)))},a=Math.max(0,r.length-n.length),u=[],c=0;c<a;c++)u.push("$"+c);if(o=Function("binder","return function ("+u.join(",")+"){ return binder.apply(this,arguments); }")(i),r.prototype){var f=function e(){};f.prototype=r.prototype,o.prototype=new f,f.prototype=null}return o},gt=Function.prototype.bind||vt,mt,wt=gt.call(Function.call,Object.prototype.hasOwnProperty),St,Ot=SyntaxError,jt=Function,Pt=TypeError,At=function(e){try{return jt('"use strict"; return ('+e+").constructor;")()}catch(e){}},Et=Object.getOwnPropertyDescriptor;if(Et)try{Et({},"")}catch(e){Et=null}var xt=function(){throw new Pt},kt=Et?function(){try{return xt}catch(e){try{return Et(arguments,"callee").get}catch(e){return xt}}}():xt,Tt=lt(),_t=Object.getPrototypeOf||function(e){return e.__proto__},It={},Rt="undefined"==typeof Uint8Array?St:_t(Uint8Array),Ct={"%AggregateError%":"undefined"==typeof AggregateError?St:AggregateError,"%Array%":Array,"%ArrayBuffer%":"undefined"==typeof ArrayBuffer?St:ArrayBuffer,"%ArrayIteratorPrototype%":Tt?_t([][Symbol.iterator]()):St,"%AsyncFromSyncIteratorPrototype%":St,"%AsyncFunction%":It,"%AsyncGenerator%":It,"%AsyncGeneratorFunction%":It,"%AsyncIteratorPrototype%":It,"%Atomics%":"undefined"==typeof Atomics?St:Atomics,"%BigInt%":"undefined"==typeof BigInt?St:BigInt,"%Boolean%":Boolean,"%DataView%":"undefined"==typeof DataView?St:DataView,"%Date%":Date,"%decodeURI%":decodeURI,"%decodeURIComponent%":decodeURIComponent,"%encodeURI%":encodeURI,"%encodeURIComponent%":encodeURIComponent,"%Error%":Error,"%eval%":eval,"%EvalError%":EvalError,"%Float32Array%":"undefined"==typeof Float32Array?St:Float32Array,"%Float64Array%":"undefined"==typeof Float64Array?St:Float64Array,"%FinalizationRegistry%":"undefined"==typeof FinalizationRegistry?St:FinalizationRegistry,"%Function%":jt,"%GeneratorFunction%":It,"%Int8Array%":"undefined"==typeof Int8Array?St:Int8Array,"%Int16Array%":"undefined"==typeof Int16Array?St:Int16Array,"%Int32Array%":"undefined"==typeof Int32Array?St:Int32Array,"%isFinite%":isFinite,"%isNaN%":isNaN,"%IteratorPrototype%":Tt?_t(_t([][Symbol.iterator]())):St,"%JSON%":"object"==typeof JSON?JSON:St,"%Map%":"undefined"==typeof Map?St:Map,"%MapIteratorPrototype%":"undefined"!=typeof Map&&Tt?_t((new Map)[Symbol.iterator]()):St,"%Math%":Math,"%Number%":Number,"%Object%":Object,"%parseFloat%":parseFloat,"%parseInt%":parseInt,"%Promise%":"undefined"==typeof Promise?St:Promise,"%Proxy%":"undefined"==typeof Proxy?St:Proxy,"%RangeError%":RangeError,"%ReferenceError%":ReferenceError,"%Reflect%":"undefined"==typeof Reflect?St:Reflect,"%RegExp%":RegExp,"%Set%":"undefined"==typeof Set?St:Set,"%SetIteratorPrototype%":"undefined"!=typeof Set&&Tt?_t((new Set)[Symbol.iterator]()):St,"%SharedArrayBuffer%":"undefined"==typeof SharedArrayBuffer?St:SharedArrayBuffer,"%String%":String,"%StringIteratorPrototype%":Tt?_t(""[Symbol.iterator]()):St,"%Symbol%":Tt?Symbol:St,"%SyntaxError%":Ot,"%ThrowTypeError%":kt,"%TypedArray%":Rt,"%TypeError%":Pt,"%Uint8Array%":"undefined"==typeof Uint8Array?St:Uint8Array,"%Uint8ClampedArray%":"undefined"==typeof Uint8ClampedArray?St:Uint8ClampedArray,"%Uint16Array%":"undefined"==typeof Uint16Array?St:Uint16Array,"%Uint32Array%":"undefined"==typeof Uint32Array?St:Uint32Array,"%URIError%":URIError,"%WeakMap%":"undefined"==typeof WeakMap?St:WeakMap,"%WeakRef%":"undefined"==typeof WeakRef?St:WeakRef,"%WeakSet%":"undefined"==typeof WeakSet?St:WeakSet},Ft=function e(t){var r;if("%AsyncFunction%"===t)r=At("async function () {}");else if("%GeneratorFunction%"===t)r=At("function* () {}");else if("%AsyncGeneratorFunction%"===t)r=At("async function* () {}");else if("%AsyncGenerator%"===t){var n=e("%AsyncGeneratorFunction%");n&&(r=n.prototype)}else if("%AsyncIteratorPrototype%"===t){var o=e("%AsyncGenerator%");o&&(r=_t(o.prototype))}return Ct[t]=r,r},Dt={"%ArrayBufferPrototype%":["ArrayBuffer","prototype"],"%ArrayPrototype%":["Array","prototype"],"%ArrayProto_entries%":["Array","prototype","entries"],"%ArrayProto_forEach%":["Array","prototype","forEach"],"%ArrayProto_keys%":["Array","prototype","keys"],"%ArrayProto_values%":["Array","prototype","values"],"%AsyncFunctionPrototype%":["AsyncFunction","prototype"],"%AsyncGenerator%":["AsyncGeneratorFunction","prototype"],"%AsyncGeneratorPrototype%":["AsyncGeneratorFunction","prototype","prototype"],"%BooleanPrototype%":["Boolean","prototype"],"%DataViewPrototype%":["DataView","prototype"],"%DatePrototype%":["Date","prototype"],"%ErrorPrototype%":["Error","prototype"],"%EvalErrorPrototype%":["EvalError","prototype"],"%Float32ArrayPrototype%":["Float32Array","prototype"],"%Float64ArrayPrototype%":["Float64Array","prototype"],"%FunctionPrototype%":["Function","prototype"],"%Generator%":["GeneratorFunction","prototype"],"%GeneratorPrototype%":["GeneratorFunction","prototype","prototype"],"%Int8ArrayPrototype%":["Int8Array","prototype"],"%Int16ArrayPrototype%":["Int16Array","prototype"],"%Int32ArrayPrototype%":["Int32Array","prototype"],"%JSONParse%":["JSON","parse"],"%JSONStringify%":["JSON","stringify"],"%MapPrototype%":["Map","prototype"],"%NumberPrototype%":["Number","prototype"],"%ObjectPrototype%":["Object","prototype"],"%ObjProto_toString%":["Object","prototype","toString"],"%ObjProto_valueOf%":["Object","prototype","valueOf"],"%PromisePrototype%":["Promise","prototype"],"%PromiseProto_then%":["Promise","prototype","then"],"%Promise_all%":["Promise","all"],"%Promise_reject%":["Promise","reject"],"%Promise_resolve%":["Promise","resolve"],"%RangeErrorPrototype%":["RangeError","prototype"],"%ReferenceErrorPrototype%":["ReferenceError","prototype"],"%RegExpPrototype%":["RegExp","prototype"],"%SetPrototype%":["Set","prototype"],"%SharedArrayBufferPrototype%":["SharedArrayBuffer","prototype"],"%StringPrototype%":["String","prototype"],"%SymbolPrototype%":["Symbol","prototype"],"%SyntaxErrorPrototype%":["SyntaxError","prototype"],"%TypedArrayPrototype%":["TypedArray","prototype"],"%TypeErrorPrototype%":["TypeError","prototype"],"%Uint8ArrayPrototype%":["Uint8Array","prototype"],"%Uint8ClampedArrayPrototype%":["Uint8ClampedArray","prototype"],"%Uint16ArrayPrototype%":["Uint16Array","prototype"],"%Uint32ArrayPrototype%":["Uint32Array","prototype"],"%URIErrorPrototype%":["URIError","prototype"],"%WeakMapPrototype%":["WeakMap","prototype"],"%WeakSetPrototype%":["WeakSet","prototype"]},Lt=gt,Nt=wt,Mt=Lt.call(Function.call,Array.prototype.concat),Ut=Lt.call(Function.apply,Array.prototype.splice),qt=Lt.call(Function.call,String.prototype.replace),Bt=Lt.call(Function.call,String.prototype.slice),Wt=/[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g,Gt=/\\(\\)?/g,Ht=function e(t){var r=Bt(t,0,1),n=Bt(t,-1);if("%"===r&&"%"!==n)throw new Ot("invalid intrinsic syntax, expected closing `%`");if("%"===n&&"%"!==r)throw new Ot("invalid intrinsic syntax, expected opening `%`");var o=[];return qt(t,Wt,(function(e,t,r,n){o[o.length]=r?qt(n,Gt,"$1"):t||e})),o},$t=function e(t,r){var n=t,o;if(Nt(Dt,n)&&(n="%"+(o=Dt[n])[0]+"%"),Nt(Ct,n)){var i=Ct[n];if(i===It&&(i=Ft(n)),"undefined"==typeof i&&!r)throw new Pt("intrinsic "+t+" exists, but is not available. Please file an issue!");return{alias:o,name:n,value:i}}throw new Ot("intrinsic "+t+" does not exist!")},zt=function e(t,r){if("string"!=typeof t||0===t.length)throw new Pt("intrinsic name must be a non-empty string");if(arguments.length>1&&"boolean"!=typeof r)throw new Pt('"allowMissing" argument must be a boolean');var n=Ht(t),o=n.length>0?n[0]:"",i=$t("%"+o+"%",r),a=i.name,u=i.value,c=!1,f=i.alias;f&&(o=f[0],Ut(n,Mt([0,1],f)));for(var s=1,l=!0;s<n.length;s+=1){var p=n[s],y=Bt(p,0,1),d=Bt(p,-1);if(('"'===y||"'"===y||"`"===y||'"'===d||"'"===d||"`"===d)&&y!==d)throw new Ot("property names with quotes must have matching quotes");if("constructor"!==p&&l||(c=!0),Nt(Ct,a="%"+(o+="."+p)+"%"))u=Ct[a];else if(null!=u){if(!(p in u)){if(!r)throw new Pt("base intrinsic for "+t+" exists, but the property is not available.");return}if(Et&&s+1>=n.length){var h=Et(u,p);u=(l=!!h)&&"get"in h&&!("originalValue"in h.get)?h.get:u[p]}else l=Nt(u,p),u=u[p];l&&!c&&(Ct[a]=u)}}return u},Vt={exports:{}};!function(e){var t=gt,r=zt,n=r("%Function.prototype.apply%"),o=r("%Function.prototype.call%"),i=r("%Reflect.apply%",!0)||t.call(o,n),a=r("%Object.getOwnPropertyDescriptor%",!0),u=r("%Object.defineProperty%",!0),c=r("%Math.max%");if(u)try{u({},"a",{value:1})}catch(e){u=null}e.exports=function e(r){var n=i(t,o,arguments);if(a&&u){var f=a(n,"length");f.configurable&&u(n,"length",{value:1+c(0,r.length-(arguments.length-1))})}return n};var f=function e(){return i(t,n,arguments)};u?u(e.exports,"apply",{value:f}):e.exports.apply=f}(Vt);var Qt=zt,Jt=Vt.exports,Yt=Jt(Qt("String.prototype.indexOf")),Kt=function e(t,r){var n=Qt(t,!!r);return"function"==typeof n&&Yt(t,".prototype.")>-1?Jt(n):n},Xt={},Zt,er=Re(Object.freeze({__proto__:null,default:Xt})),tr="function"==typeof Map&&Map.prototype,rr=Object.getOwnPropertyDescriptor&&tr?Object.getOwnPropertyDescriptor(Map.prototype,"size"):null,nr=tr&&rr&&"function"==typeof rr.get?rr.get:null,or=tr&&Map.prototype.forEach,ir="function"==typeof Set&&Set.prototype,ar=Object.getOwnPropertyDescriptor&&ir?Object.getOwnPropertyDescriptor(Set.prototype,"size"):null,ur=ir&&ar&&"function"==typeof ar.get?ar.get:null,cr=ir&&Set.prototype.forEach,fr,sr="function"==typeof WeakMap&&WeakMap.prototype?WeakMap.prototype.has:null,lr,pr="function"==typeof WeakSet&&WeakSet.prototype?WeakSet.prototype.has:null,yr,dr="function"==typeof WeakRef&&WeakRef.prototype?WeakRef.prototype.deref:null,hr=Boolean.prototype.valueOf,br=Object.prototype.toString,vr=Function.prototype.toString,gr=String.prototype.match,mr="function"==typeof BigInt?BigInt.prototype.valueOf:null,wr=Object.getOwnPropertySymbols,Sr="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?Symbol.prototype.toString:null,Or="function"==typeof Symbol&&"object"==typeof Symbol.iterator,jr=Object.prototype.propertyIsEnumerable,Pr=("function"==typeof Reflect?Reflect.getPrototypeOf:Object.getPrototypeOf)||([].__proto__===Array.prototype?function(e){return e.__proto__}:null),Ar=er.custom,Er=Ar&&Mr(Ar)?Ar:null,xr="function"==typeof Symbol&&"undefined"!=typeof Symbol.toStringTag?Symbol.toStringTag:null,kr=function e(t,r,n,o){var i=r||{};if(Br(i,"quoteStyle")&&"single"!==i.quoteStyle&&"double"!==i.quoteStyle)throw new TypeError('option "quoteStyle" must be "single" or "double"');if(Br(i,"maxStringLength")&&("number"==typeof i.maxStringLength?i.maxStringLength<0&&i.maxStringLength!==1/0:null!==i.maxStringLength))throw new TypeError('option "maxStringLength", if provided, must be a positive integer, Infinity, or `null`');var a=!Br(i,"customInspect")||i.customInspect;if("boolean"!=typeof a)throw new TypeError('option "customInspect", if provided, must be `true` or `false`');if(Br(i,"indent")&&null!==i.indent&&"\t"!==i.indent&&!(parseInt(i.indent,10)===i.indent&&i.indent>0))throw new TypeError('options "indent" must be "\\t", an integer > 0, or `null`');if("undefined"==typeof t)return"undefined";if(null===t)return"null";if("boolean"==typeof t)return t?"true":"false";if("string"==typeof t)return Kr(t,i);if("number"==typeof t)return 0===t?1/0/t>0?"0":"-0":String(t);if("bigint"==typeof t)return String(t)+"n";var u="undefined"==typeof i.depth?5:i.depth;if("undefined"==typeof n&&(n=0),n>=u&&u>0&&"object"==typeof t)return Ir(t)?"[Array]":"[Object]";var c=nn(i,n);if("undefined"==typeof o)o=[];else if(Hr(o,t)>=0)return"[Circular]";function f(t,r,a){if(r&&(o=o.slice()).push(r),a){var u={depth:i.depth};return Br(i,"quoteStyle")&&(u.quoteStyle=i.quoteStyle),e(t,u,n+1,o)}return e(t,i,n+1,o)}if("function"==typeof t){var s=Gr(t),l=an(t,f);return"[Function"+(s?": "+s:" (anonymous)")+"]"+(l.length>0?" { "+l.join(", ")+" }":"")}if(Mr(t)){var p=Or?String(t).replace(/^(Symbol\(.*\))_[^)]*$/,"$1"):Sr.call(t);return"object"!=typeof t||Or?p:Zr(p)}if(Yr(t)){for(var y="<"+String(t.nodeName).toLowerCase(),d=t.attributes||[],h=0;h<d.length;h++)y+=" "+d[h].name+"="+Tr(_r(d[h].value),"double",i);return y+=">",t.childNodes&&t.childNodes.length&&(y+="..."),y+="</"+String(t.nodeName).toLowerCase()+">"}if(Ir(t)){if(0===t.length)return"[]";var b=an(t,f);return c&&!rn(b)?"["+on(b,c)+"]":"[ "+b.join(", ")+" ]"}if(Fr(t)){var v=an(t,f);return 0===v.length?"["+String(t)+"]":"{ ["+String(t)+"] "+v.join(", ")+" }"}if("object"==typeof t&&a){if(Er&&"function"==typeof t[Er])return t[Er]();if("function"==typeof t.inspect)return t.inspect()}if($r(t)){var g=[];return or.call(t,(function(e,r){g.push(f(r,t,!0)+" => "+f(e,t))})),tn("Map",nr.call(t),g,c)}if(Qr(t)){var m=[];return cr.call(t,(function(e){m.push(f(e,t))})),tn("Set",ur.call(t),m,c)}if(zr(t))return en("WeakMap");if(Jr(t))return en("WeakSet");if(Vr(t))return en("WeakRef");if(Lr(t))return Zr(f(Number(t)));if(Ur(t))return Zr(f(mr.call(t)));if(Nr(t))return Zr(hr.call(t));if(Dr(t))return Zr(f(String(t)));if(!Rr(t)&&!Cr(t)){var w=an(t,f),S=Pr?Pr(t)===Object.prototype:t instanceof Object||t.constructor===Object,O=t instanceof Object?"":"null prototype",j=!S&&xr&&Object(t)===t&&xr in t?Wr(t).slice(8,-1):O?"Object":"",P,A=(S||"function"!=typeof t.constructor?"":t.constructor.name?t.constructor.name+" ":"")+(j||O?"["+[].concat(j||[],O||[]).join(": ")+"] ":"");return 0===w.length?A+"{}":c?A+"{"+on(w,c)+"}":A+"{ "+w.join(", ")+" }"}return String(t)};function Tr(e,t,r){var n="double"===(r.quoteStyle||t)?'"':"'";return n+e+n}function _r(e){return String(e).replace(/"/g,"&quot;")}function Ir(e){return!("[object Array]"!==Wr(e)||xr&&"object"==typeof e&&xr in e)}function Rr(e){return!("[object Date]"!==Wr(e)||xr&&"object"==typeof e&&xr in e)}function Cr(e){return!("[object RegExp]"!==Wr(e)||xr&&"object"==typeof e&&xr in e)}function Fr(e){return!("[object Error]"!==Wr(e)||xr&&"object"==typeof e&&xr in e)}function Dr(e){return!("[object String]"!==Wr(e)||xr&&"object"==typeof e&&xr in e)}function Lr(e){return!("[object Number]"!==Wr(e)||xr&&"object"==typeof e&&xr in e)}function Nr(e){return!("[object Boolean]"!==Wr(e)||xr&&"object"==typeof e&&xr in e)}function Mr(e){if(Or)return e&&"object"==typeof e&&e instanceof Symbol;if("symbol"==typeof e)return!0;if(!e||"object"!=typeof e||!Sr)return!1;try{return Sr.call(e),!0}catch(e){}return!1}function Ur(e){if(!e||"object"!=typeof e||!mr)return!1;try{return mr.call(e),!0}catch(e){}return!1}var qr=Object.prototype.hasOwnProperty||function(e){return e in this};function Br(e,t){return qr.call(e,t)}function Wr(e){return br.call(e)}function Gr(e){if(e.name)return e.name;var t=gr.call(vr.call(e),/^function\s*([\w$]+)/);return t?t[1]:null}function Hr(e,t){if(e.indexOf)return e.indexOf(t);for(var r=0,n=e.length;r<n;r++)if(e[r]===t)return r;return-1}function $r(e){if(!nr||!e||"object"!=typeof e)return!1;try{nr.call(e);try{ur.call(e)}catch(e){return!0}return e instanceof Map}catch(e){}return!1}function zr(e){if(!sr||!e||"object"!=typeof e)return!1;try{sr.call(e,sr);try{pr.call(e,pr)}catch(e){return!0}return e instanceof WeakMap}catch(e){}return!1}function Vr(e){if(!dr||!e||"object"!=typeof e)return!1;try{return dr.call(e),!0}catch(e){}return!1}function Qr(e){if(!ur||!e||"object"!=typeof e)return!1;try{ur.call(e);try{nr.call(e)}catch(e){return!0}return e instanceof Set}catch(e){}return!1}function Jr(e){if(!pr||!e||"object"!=typeof e)return!1;try{pr.call(e,pr);try{sr.call(e,sr)}catch(e){return!0}return e instanceof WeakSet}catch(e){}return!1}function Yr(e){return!(!e||"object"!=typeof e)&&("undefined"!=typeof HTMLElement&&e instanceof HTMLElement||"string"==typeof e.nodeName&&"function"==typeof e.getAttribute)}function Kr(e,t){if(e.length>t.maxStringLength){var r=e.length-t.maxStringLength,n="... "+r+" more character"+(r>1?"s":"");return Kr(e.slice(0,t.maxStringLength),t)+n}var o;return Tr(e.replace(/(['\\])/g,"\\$1").replace(/[\x00-\x1f]/g,Xr),"single",t)}function Xr(e){var t=e.charCodeAt(0),r={8:"b",9:"t",10:"n",12:"f",13:"r"}[t];return r?"\\"+r:"\\x"+(t<16?"0":"")+t.toString(16).toUpperCase()}function Zr(e){return"Object("+e+")"}function en(e){return e+" { ? }"}function tn(e,t,r,n){var o;return e+" ("+t+") {"+(n?on(r,n):r.join(", "))+"}"}function rn(e){for(var t=0;t<e.length;t++)if(Hr(e[t],"\n")>=0)return!1;return!0}function nn(e,t){var r;if("\t"===e.indent)r="\t";else{if(!("number"==typeof e.indent&&e.indent>0))return null;r=Array(e.indent+1).join(" ")}return{base:r,prev:Array(t+1).join(r)}}function on(e,t){if(0===e.length)return"";var r="\n"+t.prev+t.base;return r+e.join(","+r)+"\n"+t.prev}function an(e,t){var r=Ir(e),n=[];if(r){n.length=e.length;for(var o=0;o<e.length;o++)n[o]=Br(e,o)?t(e[o],e):""}var i="function"==typeof wr?wr(e):[],a;if(Or){a={};for(var u=0;u<i.length;u++)a["$"+i[u]]=i[u]}for(var c in e)Br(e,c)&&(r&&String(Number(c))===c&&c<e.length||Or&&a["$"+c]instanceof Symbol||(/[^\w$]/.test(c)?n.push(t(c,e)+": "+t(e[c],e)):n.push(c+": "+t(e[c],e))));if("function"==typeof wr)for(var f=0;f<i.length;f++)jr.call(e,i[f])&&n.push("["+t(i[f])+"]: "+t(e[i[f]],e));return n}var un=zt,cn=Kt,fn=kr,sn=un("%TypeError%"),ln=un("%WeakMap%",!0),pn=un("%Map%",!0),yn=cn("WeakMap.prototype.get",!0),dn=cn("WeakMap.prototype.set",!0),hn=cn("WeakMap.prototype.has",!0),bn=cn("Map.prototype.get",!0),vn=cn("Map.prototype.set",!0),gn=cn("Map.prototype.has",!0),mn=function(e,t){for(var r=e,n;null!==(n=r.next);r=n)if(n.key===t)return r.next=n.next,n.next=e.next,e.next=n,n},wn=function(e,t){var r=mn(e,t);return r&&r.value},Sn=function(e,t,r){var n=mn(e,t);n?n.value=r:e.next={key:t,next:e.next,value:r}},On=function(e,t){return!!mn(e,t)},jn=function e(){var t,r,n,o={assert:function(e){if(!o.has(e))throw new sn("Side channel does not contain "+fn(e))},get:function(e){if(ln&&e&&("object"==typeof e||"function"==typeof e)){if(t)return yn(t,e)}else if(pn){if(r)return bn(r,e)}else if(n)return wn(n,e)},has:function(e){if(ln&&e&&("object"==typeof e||"function"==typeof e)){if(t)return hn(t,e)}else if(pn){if(r)return gn(r,e)}else if(n)return On(n,e);return!1},set:function(e,o){ln&&e&&("object"==typeof e||"function"==typeof e)?(t||(t=new ln),dn(t,e,o)):pn?(r||(r=new pn),vn(r,e,o)):(n||(n={key:{},next:null}),Sn(n,e,o))}};return o},Pn=String.prototype.replace,An=/%20/g,En,xn="RFC3986",kn={default:xn,formatters:{RFC1738:function(e){return Pn.call(e,An,"+")},RFC3986:function(e){return String(e)}},RFC1738:"RFC1738",RFC3986:xn},Tn=kn,_n=Object.prototype.hasOwnProperty,In=Array.isArray,Rn=function(){for(var e=[],t=0;t<256;++t)e.push("%"+((t<16?"0":"")+t.toString(16)).toUpperCase());return e}(),Cn=function e(t){for(;t.length>1;){var r=t.pop(),n=r.obj[r.prop];if(In(n)){for(var o=[],i=0;i<n.length;++i)"undefined"!=typeof n[i]&&o.push(n[i]);r.obj[r.prop]=o}}},Fn=function e(t,r){for(var n=r&&r.plainObjects?Object.create(null):{},o=0;o<t.length;++o)"undefined"!=typeof t[o]&&(n[o]=t[o]);return n},Dn=function e(t,r,n){if(!r)return t;if("object"!=typeof r){if(In(t))t.push(r);else{if(!t||"object"!=typeof t)return[t,r];(n&&(n.plainObjects||n.allowPrototypes)||!_n.call(Object.prototype,r))&&(t[r]=!0)}return t}if(!t||"object"!=typeof t)return[t].concat(r);var o=t;return In(t)&&!In(r)&&(o=Fn(t,n)),In(t)&&In(r)?(r.forEach((function(r,o){if(_n.call(t,o)){var i=t[o];i&&"object"==typeof i&&r&&"object"==typeof r?t[o]=e(i,r,n):t.push(r)}else t[o]=r})),t):Object.keys(r).reduce((function(t,o){var i=r[o];return _n.call(t,o)?t[o]=e(t[o],i,n):t[o]=i,t}),o)},Ln,Nn,Mn,Un,qn,Bn,Wn,Gn,Hn={arrayToObject:Fn,assign:function e(t,r){return Object.keys(r).reduce((function(e,t){return e[t]=r[t],e}),t)},combine:function e(t,r){return[].concat(t,r)},compact:function e(t){for(var r=[{obj:{o:t},prop:"o"}],n=[],o=0;o<r.length;++o)for(var i=r[o],a=i.obj[i.prop],u=Object.keys(a),c=0;c<u.length;++c){var f=u[c],s=a[f];"object"==typeof s&&null!==s&&-1===n.indexOf(s)&&(r.push({obj:a,prop:f}),n.push(s))}return Cn(r),t},decode:function(e,t,r){var n=e.replace(/\+/g," ");if("iso-8859-1"===r)return n.replace(/%[0-9a-f]{2}/gi,unescape);try{return decodeURIComponent(n)}catch(e){return n}},encode:function e(t,r,n,o,i){if(0===t.length)return t;var a=t;if("symbol"==typeof t?a=Symbol.prototype.toString.call(t):"string"!=typeof t&&(a=String(t)),"iso-8859-1"===n)return escape(a).replace(/%u[0-9a-f]{4}/gi,(function(e){return"%26%23"+parseInt(e.slice(2),16)+"%3B"}));for(var u="",c=0;c<a.length;++c){var f=a.charCodeAt(c);45===f||46===f||95===f||126===f||f>=48&&f<=57||f>=65&&f<=90||f>=97&&f<=122||i===Tn.RFC1738&&(40===f||41===f)?u+=a.charAt(c):f<128?u+=Rn[f]:f<2048?u+=Rn[192|f>>6]+Rn[128|63&f]:f<55296||f>=57344?u+=Rn[224|f>>12]+Rn[128|f>>6&63]+Rn[128|63&f]:(c+=1,f=65536+((1023&f)<<10|1023&a.charCodeAt(c)),u+=Rn[240|f>>18]+Rn[128|f>>12&63]+Rn[128|f>>6&63]+Rn[128|63&f])}return u},isBuffer:function e(t){return!(!t||"object"!=typeof t)&&!!(t.constructor&&t.constructor.isBuffer&&t.constructor.isBuffer(t))},isRegExp:function e(t){return"[object RegExp]"===Object.prototype.toString.call(t)},maybeMap:function e(t,r){if(In(t)){for(var n=[],o=0;o<t.length;o+=1)n.push(r(t[o]));return n}return r(t)},merge:Dn},$n=jn,zn=Hn,Vn=kn,Qn=Object.prototype.hasOwnProperty,Jn={brackets:function e(t){return t+"[]"},comma:"comma",indices:function e(t,r){return t+"["+r+"]"},repeat:function e(t){return t}},Yn=Array.isArray,Kn=Array.prototype.push,Xn=function(e,t){Kn.apply(e,Yn(t)?t:[t])},Zn=Date.prototype.toISOString,eo=Vn.default,to={addQueryPrefix:!1,allowDots:!1,charset:"utf-8",charsetSentinel:!1,delimiter:"&",encode:!0,encoder:zn.encode,encodeValuesOnly:!1,format:eo,formatter:Vn.formatters[eo],indices:!1,serializeDate:function e(t){return Zn.call(t)},skipNulls:!1,strictNullHandling:!1},ro=function e(t){return"string"==typeof t||"number"==typeof t||"boolean"==typeof t||"symbol"==typeof t||"bigint"==typeof t},no=function e(t,r,n,o,i,a,u,c,f,s,l,p,y,d,h){var b=t,v;if(h.has(t))throw new RangeError("Cyclic object value");if("function"==typeof u?b=u(r,b):b instanceof Date?b=s(b):"comma"===n&&Yn(b)&&(b=zn.maybeMap(b,(function(e){return e instanceof Date?s(e):e}))),null===b){if(o)return a&&!y?a(r,to.encoder,d,"key",l):r;b=""}if(ro(b)||zn.isBuffer(b))return a?[p(y?r:a(r,to.encoder,d,"key",l))+"="+p(a(b,to.encoder,d,"value",l))]:[p(r)+"="+p(String(b))];var g=[],m;if("undefined"==typeof b)return g;if("comma"===n&&Yn(b))m=[{value:b.length>0?b.join(",")||null:void 0}];else if(Yn(u))m=u;else{var w=Object.keys(b);m=c?w.sort(c):w}for(var S=0;S<m.length;++S){var O=m[S],j="object"==typeof O&&void 0!==O.value?O.value:b[O];if(!i||null!==j){var P=Yn(b)?"function"==typeof n?n(r,O):r:r+(f?"."+O:"["+O+"]");h.set(t,!0);var A=$n();Xn(g,e(j,P,n,o,i,a,u,c,f,s,l,p,y,d,A))}}return g},oo=function e(t){if(!t)return to;if(null!==t.encoder&&void 0!==t.encoder&&"function"!=typeof t.encoder)throw new TypeError("Encoder has to be a function.");var r=t.charset||to.charset;if("undefined"!=typeof t.charset&&"utf-8"!==t.charset&&"iso-8859-1"!==t.charset)throw new TypeError("The charset option must be either utf-8, iso-8859-1, or undefined");var n=Vn.default;if("undefined"!=typeof t.format){if(!Qn.call(Vn.formatters,t.format))throw new TypeError("Unknown format option provided.");n=t.format}var o=Vn.formatters[n],i=to.filter;return("function"==typeof t.filter||Yn(t.filter))&&(i=t.filter),{addQueryPrefix:"boolean"==typeof t.addQueryPrefix?t.addQueryPrefix:to.addQueryPrefix,allowDots:"undefined"==typeof t.allowDots?to.allowDots:!!t.allowDots,charset:r,charsetSentinel:"boolean"==typeof t.charsetSentinel?t.charsetSentinel:to.charsetSentinel,delimiter:"undefined"==typeof t.delimiter?to.delimiter:t.delimiter,encode:"boolean"==typeof t.encode?t.encode:to.encode,encoder:"function"==typeof t.encoder?t.encoder:to.encoder,encodeValuesOnly:"boolean"==typeof t.encodeValuesOnly?t.encodeValuesOnly:to.encodeValuesOnly,filter:i,format:n,formatter:o,serializeDate:"function"==typeof t.serializeDate?t.serializeDate:to.serializeDate,skipNulls:"boolean"==typeof t.skipNulls?t.skipNulls:to.skipNulls,sort:"function"==typeof t.sort?t.sort:null,strictNullHandling:"boolean"==typeof t.strictNullHandling?t.strictNullHandling:to.strictNullHandling}},io=function(e,t){var r=e,n=oo(t),o,i;"function"==typeof n.filter?r=(i=n.filter)("",r):Yn(n.filter)&&(o=i=n.filter);var a=[],u;if("object"!=typeof r||null===r)return"";u=t&&t.arrayFormat in Jn?t.arrayFormat:t&&"indices"in t?t.indices?"indices":"repeat":"indices";var c=Jn[u];o||(o=Object.keys(r)),n.sort&&o.sort(n.sort);for(var f=$n(),s=0;s<o.length;++s){var l=o[s];n.skipNulls&&null===r[l]||Xn(a,no(r[l],l,c,n.strictNullHandling,n.skipNulls,n.encode?n.encoder:null,n.filter,n.sort,n.allowDots,n.serializeDate,n.format,n.formatter,n.encodeValuesOnly,n.charset,f))}var p=a.join(n.delimiter),y=!0===n.addQueryPrefix?"?":"";return n.charsetSentinel&&("iso-8859-1"===n.charset?y+="utf8=%26%2310003%3B&":y+="utf8=%E2%9C%93&"),p.length>0?y+p:""},ao=Hn,uo=Object.prototype.hasOwnProperty,co=Array.isArray,fo={allowDots:!1,allowPrototypes:!1,allowSparse:!1,arrayLimit:20,charset:"utf-8",charsetSentinel:!1,comma:!1,decoder:ao.decode,delimiter:"&",depth:5,ignoreQueryPrefix:!1,interpretNumericEntities:!1,parameterLimit:1e3,parseArrays:!0,plainObjects:!1,strictNullHandling:!1},so=function(e){return e.replace(/&#(\d+);/g,(function(e,t){return String.fromCharCode(parseInt(t,10))}))},lo=function(e,t){return e&&"string"==typeof e&&t.comma&&e.indexOf(",")>-1?e.split(","):e},po="utf8=%26%2310003%3B",yo="utf8=%E2%9C%93",ho=function e(t,r){var n={},o=r.ignoreQueryPrefix?t.replace(/^\?/,""):t,i=r.parameterLimit===1/0?void 0:r.parameterLimit,a=o.split(r.delimiter,i),u=-1,c,f=r.charset;if(r.charsetSentinel)for(c=0;c<a.length;++c)0===a[c].indexOf("utf8=")&&(a[c]===yo?f="utf-8":a[c]===po&&(f="iso-8859-1"),u=c,c=a.length);for(c=0;c<a.length;++c)if(c!==u){var s=a[c],l=s.indexOf("]="),p=-1===l?s.indexOf("="):l+1,y,d;-1===p?(y=r.decoder(s,fo.decoder,f,"key"),d=r.strictNullHandling?null:""):(y=r.decoder(s.slice(0,p),fo.decoder,f,"key"),d=ao.maybeMap(lo(s.slice(p+1),r),(function(e){return r.decoder(e,fo.decoder,f,"value")}))),d&&r.interpretNumericEntities&&"iso-8859-1"===f&&(d=so(d)),s.indexOf("[]=")>-1&&(d=co(d)?[d]:d),uo.call(n,y)?n[y]=ao.combine(n[y],d):n[y]=d}return n},bo=function(e,t,r,n){for(var o=n?t:lo(t,r),i=e.length-1;i>=0;--i){var a,u=e[i];if("[]"===u&&r.parseArrays)a=[].concat(o);else{a=r.plainObjects?Object.create(null):{};var c="["===u.charAt(0)&&"]"===u.charAt(u.length-1)?u.slice(1,-1):u,f=parseInt(c,10);r.parseArrays||""!==c?!isNaN(f)&&u!==c&&String(f)===c&&f>=0&&r.parseArrays&&f<=r.arrayLimit?(a=[])[f]=o:a[c]=o:a={0:o}}o=a}return o},vo=function e(t,r,n,o){if(t){var i=n.allowDots?t.replace(/\.([^.[]+)/g,"[$1]"):t,a=/(\[[^[\]]*])/,u=/(\[[^[\]]*])/g,c=n.depth>0&&a.exec(i),f=c?i.slice(0,c.index):i,s=[];if(f){if(!n.plainObjects&&uo.call(Object.prototype,f)&&!n.allowPrototypes)return;s.push(f)}for(var l=0;n.depth>0&&null!==(c=u.exec(i))&&l<n.depth;){if(l+=1,!n.plainObjects&&uo.call(Object.prototype,c[1].slice(1,-1))&&!n.allowPrototypes)return;s.push(c[1])}return c&&s.push("["+i.slice(c.index)+"]"),bo(s,r,n,o)}},go=function e(t){if(!t)return fo;if(null!==t.decoder&&void 0!==t.decoder&&"function"!=typeof t.decoder)throw new TypeError("Decoder has to be a function.");if("undefined"!=typeof t.charset&&"utf-8"!==t.charset&&"iso-8859-1"!==t.charset)throw new TypeError("The charset option must be either utf-8, iso-8859-1, or undefined");var r="undefined"==typeof t.charset?fo.charset:t.charset;return{allowDots:"undefined"==typeof t.allowDots?fo.allowDots:!!t.allowDots,allowPrototypes:"boolean"==typeof t.allowPrototypes?t.allowPrototypes:fo.allowPrototypes,allowSparse:"boolean"==typeof t.allowSparse?t.allowSparse:fo.allowSparse,arrayLimit:"number"==typeof t.arrayLimit?t.arrayLimit:fo.arrayLimit,charset:r,charsetSentinel:"boolean"==typeof t.charsetSentinel?t.charsetSentinel:fo.charsetSentinel,comma:"boolean"==typeof t.comma?t.comma:fo.comma,decoder:"function"==typeof t.decoder?t.decoder:fo.decoder,delimiter:"string"==typeof t.delimiter||ao.isRegExp(t.delimiter)?t.delimiter:fo.delimiter,depth:"number"==typeof t.depth||!1===t.depth?+t.depth:fo.depth,ignoreQueryPrefix:!0===t.ignoreQueryPrefix,interpretNumericEntities:"boolean"==typeof t.interpretNumericEntities?t.interpretNumericEntities:fo.interpretNumericEntities,parameterLimit:"number"==typeof t.parameterLimit?t.parameterLimit:fo.parameterLimit,parseArrays:!1!==t.parseArrays,plainObjects:"boolean"==typeof t.plainObjects?t.plainObjects:fo.plainObjects,strictNullHandling:"boolean"==typeof t.strictNullHandling?t.strictNullHandling:fo.strictNullHandling}},mo,wo,So,Oo,jo={formats:kn,parse:function(e,t){var r=go(t);if(""===e||null===e||"undefined"==typeof e)return r.plainObjects?Object.create(null):{};for(var n="string"==typeof e?ho(e,r):e,o=r.plainObjects?Object.create(null):{},i=Object.keys(n),a=0;a<i.length;++a){var u=i[a],c=vo(u,n[u],r,"string"==typeof e);o=ao.merge(o,c,r)}return!0===r.allowSparse?o:ao.compact(o)},stringify:io},Po;function Ao(e,t){if(t&&"object"==typeof t&&Object.keys(t).length){const r=jo.stringify(t);return e.includes("?")?`${e}&${r}`:`${e}?${r}`}return e}function Eo(e){const t=Object.assign({},e),r={};return"undefined"!=typeof t.cookies&&(r.cookies=t.cookies),delete t.cookies,t.abortController&&"function"==typeof t.abortController.abort&&(r.abortController=t.abortController),delete t.abortController,"undefined"!=typeof t.contentType&&(r.contentType=t.contentType),delete t.contentType,"undefined"!=typeof t.data&&(r.data=t.data),delete t.data,t.dataType&&(r.dataType=t.dataType),delete t.dataType,t.fetchModule&&(r.fetchModule=t.fetchModule),delete t.fetchModule,t.headersInitClass&&(r.headersInitClass=t.headersInitClass),delete t.headersInitClass,"undefined"!=typeof t.keepRedirectCookies&&(r.keepRedirectCookies=!!t.keepRedirectCookies),delete t.keepRedirectCookies,"undefined"!=typeof t.processData&&(r.processData=t.processData),delete t.processData,"undefined"!=typeof t.timeout&&(r.timeout=t.timeout),delete t.timeout,{args:r,requestInit:Object.assign({},t)}}function xo(e){let t=Object.assign({},e);return t=ko(t),t=To(t),t=_o(t),t=Io(t),t.args.dataType=Ro(t.args.dataType),t.args.timeout=Co(t.args.timeout),t.requestInit.redirect=Fo(t.args.keepRedirectCookies,t.requestInit.redirect),t}function ko(e){const{args:t,requestInit:r}=e;if(t.headersInitClass){const e=r.headers?new t.headersInitClass(r.headers):new t.headersInitClass;r.headers=e}else{if("function"!=typeof Headers)throw new TypeError('parseHeaders(): Headers Class undefined.\nIf running under Node.js, it must pass HeaderClass such come from package "node-fetch".');r.headers=r.headers?new Headers(r.headers):new Headers}const{headers:n}=r;return n.has("Accept")||n.set("Accept","application/json, text/html, text/javascript, text/plain, */*"),{args:t,requestInit:r}}function To(e){const{args:t,requestInit:r}=e;return t.abortController&&t.abortController.signal&&"function"==typeof t.abortController.abort||(t.abortController="function"==typeof AbortController?new AbortController:new Ke),t.abortController&&(r.signal=t.abortController.signal),{args:t,requestInit:r}}function _o(e){const{args:t,requestInit:r}=e,n=t.cookies,o=[];if(n&&"object"==typeof n)for(let[e,t]of Object.entries(n))if(e&&"string"==typeof e){if(e=e.trim(),!e)continue;t="string"==typeof t||"number"==typeof t?t.toString().trim():"",o.push(`${e}=${t}`)}if(o.length){const e=r.headers;let t=e.get("Cookie");if(t){t=t.trim();let r=o.join("; ");t.endsWith(";")?(t=t.slice(0,-1),r=`${t}; `+r):r=`${t}; `+r,e.set("Cookie",r)}else e.set("Cookie",o.join("; "))}return{args:t,requestInit:r}}function Io(t){const{args:r,requestInit:n}=t;if(n.method&&["DELETE","POST","PUT"].includes(n.method)){const t=n.headers;!1===r.contentType||(r.contentType?t.set("Content-Type",r.contentType):t.has("Content-Type")||t.set("Content-Type",e.ContentTypeList.json))}return{args:r,requestInit:n}}function Ro(e){return"string"==typeof e&&["arrayBuffer","bare","blob","formData","json","text","raw"].includes(e)?e:"json"}function Co(e){const t="number"==typeof e&&e>=0?Math.ceil(e):null;return null!==t&&Number.isSafeInteger(t)?t:null}function Fo(e,t){return!0===e&&"undefined"==typeof window&&"follow"===t?"manual":t||"follow"}function Do(e){let t=null;return e?("function"!=typeof e&&Se((()=>new TypeError("fetchModule is not Function"))),t=e):"function"==typeof fetch?t=fetch:Se((()=>new TypeError("fetchModule/fetch not Function"))),t}function Lo(e,t){let r="";if("undefined"==typeof t.data)r=e;else{if(!t.processData)throw new TypeError("Typeof args.data invalid for GET/DELETE when args.processData not true, type is :"+typeof t.data);r=Ao(e,t.data)}return r}function No(e){let t;const{data:r}=e;return"string"==typeof r?t=r:"undefined"==typeof r||null===r||(t="undefined"!=typeof FormData&&r instanceof FormData||"undefined"!=typeof ut&&r instanceof ut||"undefined"!=typeof Blob&&r instanceof Blob||"undefined"!=typeof ArrayBuffer&&r instanceof ArrayBuffer||"undefined"!=typeof URLSearchParams&&r instanceof URLSearchParams||"undefined"!=typeof ReadableStream&&r instanceof ReadableStream?r:e.processData&&e.contentType&&e.contentType.includes("json")?JSON.stringify(r):e.processData?jo.stringify(r):r),t}function Mo(e,t,r){e||Se((()=>new TypeError("value of input invalid")));let n=Uo(e,t,r);return n=qo(n,t),n.pipe(Ie((e=>Wo(e,t,r))))}function Uo(e,t,r){let n=e;const o=Do(t.fetchModule);if("string"==typeof e){if(["GET","DELETE"].includes(r.method))n=Lo(e,t);else{if(!["POST","PUT","OPTIONS"].includes(r.method))throw new TypeError(`Invalid method value: "${r.method}"`);{const e=No(t);"undefined"!=typeof e&&(r.body=e)}}return Te((()=>o(n,r)))}return Te((()=>o(e)))}function qo(e,t){const r=undefined;return Bo(e,t.timeout,t.abortController)}function Bo(e,t,r){let n=e;return"number"==typeof t&&t>=0&&(n=e.pipe(Pe(t),_e((e=>{throw r&&"function"==typeof r.abort&&!r.signal.aborted&&r.abort(),e})))),n}function Wo(e,t,r){if(!0===t.keepRedirectCookies&&e.status>=301&&e.status<=308){const n=e.headers.get("location"),o=e.headers.get("Set-Cookie");if(n){const i=at(o);i&&(t.cookies=t.cookies?Object.assign(Object.assign({},t.cookies),i):Object.assign({},i));const a=xo({args:t,requestInit:r});return 303===e.status?(a.requestInit.method="GET",Mo(n,a.args,a.requestInit)):Mo(n,a.args,a.requestInit)}}else Se((()=>"Redirect location is empty"));return we(e)}function Go(e,t){e||Se((()=>new TypeError("value of input invalid")));const r=undefined,n=Eo(t?Object.assign(Object.assign({},tt),t):Object.assign({},tt)),{args:o,requestInit:i}=xo(n),a=o.dataType,u=undefined,c=undefined;return Mo(e,o,i).pipe(Ie((e=>ot(e,"bare"===a))),Ie((e=>it(e,a))))}function Ho(e,t){const r=undefined;return Go(e,t?Object.assign(Object.assign({},t),{method:"GET"}):{method:"GET"})}function $o(e,t){const r=undefined;return Go(e,t?Object.assign(Object.assign({},t),{method:"POST"}):{method:"POST"})}function zo(e,t){const r=undefined;return Go(e,t?Object.assign(Object.assign({},t),{method:"PUT"}):{method:"PUT"})}function Vo(e,t){const r=undefined;return Go(e,t?Object.assign(Object.assign({},t),{method:"DELETE"}):{method:"DELETE"})}function Qo(e){for(const[t,r]of Object.entries(e))Object.defineProperty(tt,t,{configurable:!0,enumerable:!0,writable:!0,value:r})}function Jo(){return Object.assign({},tt)}e.ContentTypeList=void 0,(Po=e.ContentTypeList||(e.ContentTypeList={})).formDataPartial="multipart/form-data; boundary=",Po.formUrlencoded="application/x-www-form-urlencoded; charset=utf-8",Po.html="text/html; charset=utf-8",Po.json="application/json; charset=utf-8",Po.plain="text/plain",e.buildQueryString=Ao,e.fetch=Go,e.get=Ho,e.getGloalRequestInit=Jo,e.parseInitOpts=xo,e.parseRequestGetLikeData=Lo,e.parseRequestPostLikeData=No,e.parseRespCookie=at,e.post=$o,e.put=zo,e.remove=Vo,e.rxfetch=Go,e.selectFecthModule=Do,e.setGloalRequestInit=Qo,e.splitInitArgs=Eo,Object.defineProperty(e,"__esModule",{value:!0})}));
//# sourceMappingURL=rxxfetch.umd.min.js.map
